import { XmlPartManagerBase } from "./XmlPartManagerBase";
import { OfficeApplication } from "./OfficeApplication";
import { ST_ConformanceClass } from "./ST_ConformanceClass";
import { Type } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare abstract class ThemeManagerPartManager extends XmlPartManagerBase {
    static $t: Type;
    static readonly a2: string;
    static readonly a5: string;
    static readonly a4: string;
    protected get_m(): string;
    readonly m: string;
    n(a: OfficeApplication): string;
    o(a: ST_ConformanceClass): string;
    protected get_g(): boolean;
    readonly g: boolean;
}
